Subject: Balter's InCivility Does Not Equal a Bug in ld [was: Re: Stupid stupid remarks
From: [email-masked] (DRS)

27 Mar 1997 13:09:08 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <01BC386B.709FACA0@gbird0> <[email-masked]> <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.01Gold (Win95; I)
MIME-Version: 1.0
Original-To: Jim Balter <[email-masked]>
Original-CC: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Jim Balter wrote:

> It has been proven that Win NT misbehaves in cases where win95 does not;
> ld -s is a well-known example.

Yes, as I said, it might be an "NT thing." But what does this have to do
with
the GNU linker? If the problem is NT related then you should be
complaining
to microsoft. Maybe the API's in question are not even supported equally
across win95/NT. This is a distinct possibility, since one (the
WriteProfileSection)
is depricated for win32 apps, and the other is a hack no professional
would
likely need.

> > // g++ -o test.exe test.cpp
> 
> This has nothing to do with the bug being discussed.

Wrong. You and Phil claimed the linker failed to handle certain API's. I
have attempted to verify this and found the opposite. You claim to have
proven
there is a bug in the linker, but the only code you posted to demo this,
turned out not to even compile, much less link. Instead of ad hominum 
attacks, you might try posting code which proves your point. 
The code *I* posted works correctly whether you use 
"g++ -o test.exe -mwindows --subsystem,windows" or not.  

> > So even though you and Phil claim to have found a linker bug, I have
> > yet to be able to reproduce it.
> 
> So what?  You haven't run the same code, nor on the same system.

Well, I'm using the same linker, which is building the same NE
executable,
using the same API's, and the code you and phil have provided--after
correcting your errors, of course. What more do you want? 
 
> > The correct prototype for GetFullPathName looks like this, Jim:
> 
> Well known to me, but irrelevant.

If it was known to you, then why did you prototype the function pointer
incorrectly? Why did you post code that would not even compile? And why
claim "merely referencing the function is enough to cause the problem"?
When it plainly is not?

> > Regards as always.
> 
> Not from me.

Your lack of civility is amusing. But it proves nothing more than 
your general status as Unix oaf and Windows wanna-be. 

--DRS
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".